org.apache.uima.pear.tools

## Class InstallationController.TestStatus

- java.lang.Object
- - org.apache.uima.pear.tools.InstallationController.TestStatus

- Enclosing class:
    InstallationController

      public static class InstallationController.TestStatus
      extends Object

  The `TestStatus` class encapsulates attributes related to the results of the 'serviceability' verification test.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TEST_NOT_SUCCESSFUL`
    `static int` | `TEST_SUCCESSFUL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `int` | `getRetCode()`
    `void` | `setMessage(String message)`
    `void` | `setRetCode(int retCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEST_SUCCESSFUL

          public static final int TEST_SUCCESSFUL

      See Also:
        Constant Field Values

    - #### TEST_NOT_SUCCESSFUL

          public static final int TEST_NOT_SUCCESSFUL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TestStatus

          public TestStatus()

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Returns:
        the message

    - #### setMessage

          public void setMessage(String message)

      Parameters:
        `message` - the message to set

    - #### getRetCode

          public int getRetCode()

      Returns:
        the retCode

    - #### setRetCode

          public void setRetCode(int retCode)

      Parameters:
        `retCode` - the retCode to set

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.